# MSP::CCS::Cassini Class Reference

`#include <Cassini.h>`

Inheritance diagram for MSP::CCS::Cassini:

List of all members.

## Public Member Functions

| Cassini (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Cassini (const Cassini &c)
| ~Cassini (void)
Cassini & | operator= (const Cassini &c)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 101 of file Cassini.h.

## Constructor & Destructor Documentation

Cassini::Cassini | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 130 of file Cassini.cpp.

Cassini::Cassini | ( | const Cassini & | c | ) |

Definition at line 287 of file Cassini.cpp.

Cassini::~Cassini | ( | void |  | ) |

Definition at line 315 of file Cassini.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Cassini::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 375 of file Cassini.cpp.

MSP::CCS::GeodeticCoordinates * Cassini::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 457 of file Cassini.cpp.

MapProjection4Parameters * Cassini::getParameters | ( |  | ) | const

Definition at line 353 of file Cassini.cpp.

Cassini & Cassini::operator= | ( | const Cassini & | c | ) |

Definition at line 320 of file Cassini.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/cassini/Cassini.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/cassini/Cassini.cpp